Page MenuHomePhabricator

Add two Analytics team members to wmf-deployments
Closed, ResolvedPublic

Description

Please add @Milimetric and @Ottomata to the wmf-deployments gerrit group.

Reason: our team (Analytics) has been doing more with mediawiki extensions, config, and would like to be able to merge simple changes so they can be deployed on the train. We understand the process that new extensions and other large changes need to go through in order to get deployed, but for smaller stuff we'd like to be able to merge so we're not blocked.

For example, this change fixes a bug that's causing errors in production right now, every time someone saves an edit with external links: https://gerrit.wikimedia.org/r/#/c/342913/

Thank you!

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptMar 22 2017, 9:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Dzahn added a subscriber: Dzahn.Mar 23 2017, 1:38 AM

for other ops: this is a gerrit-admin thing, not shell access or LDAP.

https://gerrit.wikimedia.org/r/#/admin/groups/21,members

Dzahn added a comment.Mar 23 2017, 1:44 AM

done in gerrit web ui. (per: milimetric has existing shell with deployment access, ottomata has root)

Mentioned in SAL (#wikimedia-operations) [2017-03-23T01:46:20Z] <mutante> added ottomata and milimetric to "wmf-deployers" in Gerrit web ui, both have existing (deployment resp. root) shell already (T161157)

Dzahn closed this task as Resolved.Mar 23 2017, 1:47 AM
Dzahn claimed this task.
Dzahn added subscribers: greg, demon.

Thank you very much